<style scoped="">
.tech_support{
  padding-top: 120px;
  padding-bottom: 158px;
}

.tech_title{
  color: #353556;
  font-size: 36px;
  text-align: center;
  line-height: 1;
  padding-bottom: 28px;
}
.tech_des{
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  color: #353556;
  font-weight: 300;
  padding-bottom: 68px;
  margin-left: 10px;
  margin-right: 10px;
}


.vertical_slider_pane{
  display: flex;
}
.v_s_item_pane{
  padding: 9px;
  padding-bottom: 46px;
  display: none;
}
.v_s_item_pane_selectd{
  display: block;
}
.v_s_item_pane_hide{
  display: none;
}
.v_s_nav{
  max-width: 100%;
  /*min-width: 300px;*/
  box-sizing: border-box;
  padding-right: 94px;
}
.v_s_nav ul li{
  list-style: none;
  line-height: 62px;
  font-size: 16px;
  padding: 0px 34px;
  cursor: pointer;
  display: flex;
  align-items: center;
  white-space: nowrap;
}
.v_s_nav ul li:hover, .v_s_nav ul li.selected{
  box-shadow: 0px 0px 28px #0000001f;
  border-radius: 4px;
}
.v_s_nav ul li .v_s_icon{
  width: 27px;
  height: 27px;
  min-width: 27px;
  margin-right: 18px;
}
.v_s_nav ul li .v_s_icon img{
  display: block;
  width: 100%;
}
.v_s_content_pane{
  width: 100%;
  box-shadow: 0px 0px 10px #00000021;
  border-radius: 2px;
}

.v_s_ip_pic{
  height: 272px;
}
.v_s_ip_pic img{
  display: block;
  width: 100%;
}
.v_s_item_text{
  padding: 0px 26px;
}
.v_s_item_title{
  font-size: 24px;
  line-height: 36px;
  padding-top: 34px;
  padding-bottom: 20px;
}
.v_s_item_brief{
  font-size: 16px;
  line-height: 24px;
}
.bg_all{
  background-image: url('https://shuyuchain.com/合约开发-未选中@2x.png'), 
  url('https://shuyuchain.com/适配垮脸-未选中@2x.png'),  
  url('https://shuyuchain.com/适配垮脸-未选中@2x.png'),  
  url('https://shuyuchain.com/适配垮脸-未选中@2x.png'),  
  url('https://shuyuchain.com/可定制的区块链框架@2x.png'),  
  url('https://shuyuchain.com/合约开发@2x.png'),  
  url('https://shuyuchain.com/适配跨链服务@2x.png'),  
  url('https://shuyuchain.com/可定制的区块链框架-未选中@2x.png');
}
@media (max-width: 800px) {
  .v_s_nav{
    display: none;
  }
  .v_s_item_pane{
    display: block;
    padding-bottom: 15px;
  }
  .v_s_item_title{
    font-size: 18px;
    padding-top: 10px;
    padding-bottom: 10px;
    line-height: 1;
  }
  .v_s_item_brief{
    font-size: 13px;
    color: #676767;
  }
  .v_s_item_text{
    padding: 0px;
  }
  .tech_support{
    padding-bottom: 0px;
    padding-top: 60px;
  }
}
</style>
<template>
<div class="tech_support">
  <div class="comm_width">
    <div class="tech_title">
      {{ lang.data['Technical Feature'] }}
    </div>
    <div class="tech_des">
      {{ lang.data['Decentralized High-Performance Smart Contract Platform'] }}
    </div>

    <!--  -->
    <div class="vertical_slider_pane">

      <div class="v_s_nav">
        <ul>
          <!-- <li class="selected">
            <span class="v_s_icon">
              <img src="https://shuyuchain.com/合约开发-未选中@2x.png">
            </span>
            <span>合约开发</span>
          </li>
          <li>
            <span class="v_s_icon">
              <img src="https://shuyuchain.com/适配垮脸-未选中@2x.png">
            </span>
            <span>适配跨链</span>
          </li>
          <li>
            <span class="v_s_icon">
              <img src="https://shuyuchain.com/可定制的区块链框架-未选中@2x.png">
            </span>
            <span>可定制的区块链框架</span>
          </li> -->

          <li v-for="item, index in data" v-bind:class="{'selected': index == selected}" @click="select(index)">
            <span class="v_s_icon">
              <img  v-bind:src="item.nav.img">
            </span>
            <span>{{ item.nav.title }}</span>
          </li>

        </ul>
      </div>

      <div class="v_s_content_pane">

        <div class="v_s_item_pane" v-for="item, index in data" v-bind:class="{'v_s_item_pane_selectd': index == selected}">
          <div class="v_s_ip_pic" v-bind:style="get_bg(item)">
            <!-- <img src="https://shuyuchain.com/可定制的区块链框架@2x.png"> -->
          </div>
          <div class="v_s_item_text">
            <div class="v_s_item_title">
              {{ item.content.title }}
            </div>
            <p class="v_s_item_brief">
              {{ item.content.brief }}
            </p>
          </div>
        </div>

      </div>

    </div>
    <!--  -->

  </div>
</div>
</template>
<script>
import { lang, set_lang } from '@/data/langs/index.js'
export default {
  data () {
    return {
      lang,
      selected: 0,
      data: [
        {
          nav: {
            'title': lang.data['More Friendly Smart Contract Development'],
            'img': 'https://shuyuchain.com/合约开发-未选中@2x.png'
          },
          content: {
            'background': 'https://shuyuchain.com/合约开发@2x.png',
            'title': lang.data['More Friendly Smart Contract Development'],
            'brief': lang.data['Fee-based resource model provides DAPP developers with smooth developing experience. More abundant API make the development of smart contract much easier.']
          }
        },


        {
          nav: {
            'title': lang.data['Cross-Chain Service Adaption'],
            'img': 'https://shuyuchain.com/适配垮脸-未选中@2x.png'
          },
          content: {
            'background': 'https://shuyuchain.com/适配跨链服务@2x.png',
            'title': lang.data['Cross-Chain Service Adaption'],
            'brief': lang.data['EOSForce team started the development of Codex, implementing the cross-chain mechanism by building Codex.Relay.']
          }
        },

        {
          nav: {
            'title': lang.data['Customizable Blockchain Development Framework'],
            'img': 'https://shuyuchain.com/可定制的区块链框架-未选中@2x.png'
          },
          content: {
            'background': 'https://shuyuchain.com/可定制的区块链框架@2x.png',
            'title': lang.data['Customizable Blockchain Development Framework'],
            'brief': lang.data['EOSC team started Codex.io project, which helps developers to quickly start a blockchain based on Codex.io and makes it more friendly to develop blockchain.']
          }
        }
      ]
    }
  },

  methods: {
    select (index) {
      this.selected = index;
    },

    get_bg (item) {
      return {
        backgroundImage: `url(${ item.content.background })`
      }
    }
  }
}
</script>




